﻿using System;
using System.Linq;
using System.Collections;
using System.Data.Services.Client;

namespace SilverlightApplication1.ServiceReference1
{
    public partial class Customer
    {
        DataServiceContext _Context;
        private DataServiceContext Context
        {
            get
            {
                if (_Context == null)
                {
                    _Context = new NorthwindEntities(new Uri("http://services.odata.org/Northwind/Northwind.svc"));
                }
                return _Context;
            }
        }

        IEnumerable _CustomerOrders;
        public IEnumerable CustomerOrders
        {
            get
            {
                if (_CustomerOrders == null)
                {
                    var collection = new DataServiceCollection<Order>(Context);
                    _CustomerOrders = collection;

                    var q = Context.CreateQuery<Order>("Orders");

                    collection.LoadAsync(from o in q where o.CustomerID == this.CustomerID select o);
                }
                return _CustomerOrders;
            }
        }
    }
}
